path: /build/build/node_exporter-bin-app-metrics-1.8.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} app-metrics/node_exporter-bin -pv -t && \
    emerge -j ${JOBS} --nodeps app-metrics/node_exporter-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/node_exporter-bin && luet-portage --dir
    /pkgdir/node_exporter-bin app-metrics/node_exporter-bin && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c7291fecab22d7e98fe984ccecf0c9665a6891a9b32134b78b50d92ba8dd5e92
  package:
    name: node_exporter-bin
    version: 1.8.0
    category: app-metrics
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Exporter for machine metrics
    uri:
    - https://github.com/prometheus/node_exporter
    license: Apache-2.0
    buildtimestamp: 2024-05-23 21:13:09.73586073 +0000 UTC m=+107.756449430
    labels:
      DEPEND: sys-apps/shadow
      IUSE: amd64 arm64
      emerge.packages: app-metrics/node_exporter-bin
      kit: core-server-kit
      original.package.name: app-metrics/node_exporter-bin
      original.package.slot: "0"
      original.package.version: 1.8.0
    treedir: /build/packages
  package_dir: /pkgdir/node_exporter-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f0528fc09ecd6150c6a84f09c52fa2acc89eef69fca5d39d5df2b6fd86ec2030
compressiontype: zstd
files:
- etc/conf.d/node_exporter
- etc/init.d/node_exporter
- usr/bin/node_exporter
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/BUILD_TIME
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/CATEGORY
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/CBUILD
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/CFLAGS
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/CHOST
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/CONTENTS
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/COUNTER
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/CXXFLAGS
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/DEFINED_PHASES
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/DEPEND
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/DESCRIPTION
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/EAPI
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/FEATURES
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/HOMEPAGE
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/INHERITED
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/IUSE
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/IUSE_EFFECTIVE
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/KEYWORDS
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/LDFLAGS
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/LICENSE
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/NEEDED
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/PF
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/SIZE
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/SLOT
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/USE
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/environment.bz2
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/node_exporter-bin-1.8.0.ebuild
- var/db/pkg/app-metrics/node_exporter-bin-1.8.0/repository
- var/lib/node_exporter/.keep_app-metrics_node_exporter-bin-0
- var/log/node_exporter/.keep_app-metrics_node_exporter-bin-0
package_cacheimage: ""
runtime:
  name: node_exporter-bin
  version: 1.8.0
  category: app-metrics
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Exporter for machine metrics
  uri:
  - https://github.com/prometheus/node_exporter
  license: Apache-2.0
  labels:
    DEPEND: sys-apps/shadow
    IUSE: amd64 arm64
    emerge.packages: app-metrics/node_exporter-bin
    kit: core-server-kit
    original.package.name: app-metrics/node_exporter-bin
    original.package.slot: "0"
    original.package.version: 1.8.0
